
QGIS Application - Bug report #19699

Removing Filter on shape file layer does not restore read-write permissions - editing refused until 

reload

2018-08-26 09:26 AM - Ervin Peters

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:3.2.2 Regression?: No

Operating System: Gentoo Linux / gnome3 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 27524

Description

Got a shape File Layer.

Could edit it.

Set a filter.

The layer isn't editable anymore.

Remove filter.

Can't change the mode to edit, menueitems are greyed out -> still in readonly mode

close project or qgis

open project in qgis -> Edit mode available

Related issues:

Related to QGIS Application - Bug report # 17124: Editing behavior of filtere... Open 2017-09-12

History

#1 - 2018-08-29 05:01 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of https://issues.qgis.org/issues/17124

#2 - 2018-08-29 07:29 PM - Jürgen Fischer

- Related to Bug report #17124: Editing behavior of filtered layers is inconsistent added
https://issues.qgis.org/issues/17124

